# Pool

## Get pool information

#### Method

get

#### Path

/v1/pool

#### Parameters

* `id` : required, pool\_id, eg: 0x00000000219ab540356cbb839cbe05303d7705fa
* `chain_id` : required, chain id, eg: `eth`, `bsc`, `xdai`, [for more info](/en/readme/api-pro-reference/chain.md#returns-1).

#### Returns

`Object` - An object with following fields:

* `pool_id` : `string` - The pool's id.
* `chain` : `string` - The chain's id.
* `protocol_id` : protocol\_id associated with pool.
* `contract_ids`: `list` contract\_ids associated with pool.
* `name` : `string` - The pool's name, it is the same as [PortfolioItemObject's name](/en/readme/api-models/portfolioitemobject.md)
* stats: Object
  * `deposit_usd_value`: Assets stored in this pool.
  * `deposit_user_count`: The total number of users stored in this pool.
  * `deposit_valuable_user_count`: The number of users (with usd\_value greater than $100) stored in this pool.

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X 'GET' \
  'https://pro-openapi.debank.com/v1/pool?id=0x00000000219ab540356cbb839cbe05303d7705fa&chain_id=eth \
  -H 'accept: application/json' -H 'AccessKey: YOUR_ACCESSKEY'
```

{% endtab %}
{% endtabs %}

Result

```json
{
    "chain": "eth",
    "contract_ids": [
        "0x00000000219ab540356cbb839cbe05303d7705fa"
    ],
    "stats": {
        "deposit_usd_value": 44750590901.06054,
        "deposit_user_count": 48791,
        "deposit_valuable_user_count": 48510
    },
    "name": "Staked",
    "pool_id": "0x00000000219ab540356cbb839cbe05303d7705fa",
    "protocol_id": "eth2"
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloud.debank.com/en/readme/api-pro-reference/pool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
